Communities
Get community member tokens
GET
/
community
/
{id}
/
member
/
{idOrAddress}
/
tokens
Get community member tokens
curl --request GET \
--url https://api.openpage.fun/v1/community/{id}/member/{idOrAddress}/tokens \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.openpage.fun/v1/community/{id}/member/{idOrAddress}/tokens"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.openpage.fun/v1/community/{id}/member/{idOrAddress}/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 123,
"perPage": 123,
"page": 123,
"results": [
{
"id": "<string>",
"collectionName": "<string>",
"name": "<string>",
"chainId": "1",
"contract": "<string>",
"tokenId": "<string>",
"image": "<string>",
"uri": "<string>",
"rarity": "<string>",
"rarityRank": 123,
"description": "<string>",
"externalUrl": "<string>",
"animationUrl": "<string>",
"traits": [
{
"key": "<string>",
"type": "<string>",
"value": "<string>",
"tokenCount": 123,
"rarity": 123,
"rarityPercent": 123
}
],
"quantity": 123,
"burnDate": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}Authorizations
Path Parameters
Community ID
Account UUID or an Ethereum address linked to the member account
Query Parameters
Filter by token collection addresses
Page of results to return.
Number of items per page to return. Defaults to 100.
⌘I
Get community member tokens
